<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Dashboard</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <a th:href="@{/dashboard}" class="btn btn-secondary btn-block">Data Tanah</a>
                                            <a th:href="@{/dashboard/gedung}" class="btn btn-secondary btn-block">Data Gedung</a>
                                            <a th:href="@{/dashboard/ruangan}"  class="btn btn-secondary btn-block">Data Ruangan</a>
                                            <a th:href="@{/dashboard/inventaris}" class="btn btn-primary btn-block">Data Inventaris</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="card card-danger">
                                        <div class="card-header">
                                            <h4>Data Inventaris</h4>
                                        </div>
                                        <div class="card-body">
                                            <div class="table-responsive">
                                                <table class="table table-striped">
                                                    <thead class="thead-light">
                                                    <tr>
                                                        <th>#</th>
                                                        <th>Nama Gedung</th>
                                                        <th>Inventaris</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="ruanganAset, row:${ruangan}">
                                                        <td th:text="${(row.index + 1)}"></td>
                                                        <td th:text="${ruanganAset.namaRuangan}"></td>
                                                        <td>
                                                            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + ruanganAset.id}">
                                                                <i class="fa fa-eye"></i> tampilkan data
                                                            </button>

                                                            <div class="modal fade" th:id="${'exampleModal' + ruanganAset.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                <span aria-hidden="true">&times;</span>
                                                                            </button>
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            <div class="table-responsive">
                                                                                <table class="table table-striped">
                                                                                    <thead>
                                                                                    <tr>
                                                                                        <th>Barang</th>
                                                                                        <th>Jumlah</th>
                                                                                    </tr>
                                                                                    </thead>
                                                                                    <tbody>
                                                                                    <tr th:each="data, row:${aset}">
                                                                                        <td th:if="${ruanganAset.id == data.ruangan.id}" th:text="${data.namaAset}"></td>
                                                                                        <td th:if="${ruanganAset.id == data.ruangan.id}" th:text="${data.jumlah}"></td>
                                                                                        <td th:if="${ruanganAset.id != data.ruangan.id}">-</td>
                                                                                        <td th:if="${ruanganAset.id != data.ruangan.id}">-</td>

                                                                                    </tr>
                                                                                    </tbody>
                                                                                </table>
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                            <button type="button" class="btn btn-primary">Save changes</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                            <nav>
                                                <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                                    <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                                    <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                                                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                                                    <li class="page-item"><a class="page-link" href="#">4</a></li>
                                                    <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                                </ul>
                                            </nav>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>